package osa.attribute.atgrammar.gui.actions;

import javax.swing.*;
import javax.swing.AbstractAction;
import java.awt.event.*;

import osa.attribute.atgrammar.gui.images.*;
import osa.attribute.atgrammar.gui.panels.derivation_panels.*;

import osa.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class StartDerivationAction
  extends AbstractAction
  {
  public StartDerivationAction()
    {
    this.putValue(AbstractAction.SMALL_ICON,ImageLoader.loadImage("derive.gif"));
    this.putValue(AbstractAction.SHORT_DESCRIPTION,"Начать вывод.");
    }

  public void actionPerformed(ActionEvent e)
    {
    DerivationTabPane.getInstance().getDerivationPane().startDerivation();
    }
  }